<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: ratings_include.php
| Author: Philipp Blanke (PhiBla)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
/*-------------------------------------------------------+
Based on
 (Unobtusive) AJAX Rating Bars v 1.2.2
ryan masuga, masugadesign.com
ryan@masugadesign.com 
Licensed under a Creative Commons Attribution 3.0 License.
http://creativecommons.org/licenses/by/3.0/
--------------------------------------------------------- */

if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."download_interface_panel/infusion_db.php";

if (file_exists(DLI_ROOT."locale/".$settings['locale'].".php")) {
	include DLI_ROOT."locale/".$settings['locale'].".php";
} else {
	include DLI_ROOT."locale/German.php";
}

add_to_head('<script type="text/javascript">var inc="'.DLI_ROOT.'includes/";</script>');
add_to_head('<script type="text/javascript" language="javascript" src="'.DLI_ROOT.'includes/ajaxstarrater/js/rating.js"></script>');
add_to_head('<link rel="stylesheet" type="text/css" href="'.DLI_ROOT.'includes/ajaxstarrater/css/rating.css" />');

function showratings($rating_type, $rating_item_id, $rating_link) {

	global $locale, $userdata;

	//set some variables
	$id = $rating_type.'_'.$rating_item_id;
	$ip = $_SERVER['REMOTE_ADDR'];
	$units = 5;
	$static = FALSE;
	$total_value = 0;
	$total_votes = 0;
	$rating_unitwidth = 30;

	opentable($locale['r100']);

  # get votes, values, ips for the current rating bar
	$res = dbquery("SELECT * FROM ".DB_RATINGS." WHERE rating_item_id='".$rating_item_id."' AND rating_type='".$rating_type."' ");
	while($row = dbarray($res)){
		$total_value += $row['rating_vote'];
		$total_votes++;
	}
	if ($total_votes < 1) {
	  $count = 1;
	} else {
		$count=$total_votes; //how many votes total
	}
	$current_rating=$total_value; //total number of rating added together and stored
	$tense=(($count==1) ?  $locale['r101']: $locale['r102']); //plural form votes/vote
	$voted = 1;
  if(iMEMBER){
	  $voted = dbcount("(rating_id)", DB_RATINGS, "rating_user ='".$userdata['user_id']."' AND rating_item_id='".$rating_item_id."' AND rating_type='".$rating_type."'");
	}
	# now draw the rating bar
	$rating_width = @round(number_format($current_rating/$count,2)*$rating_unitwidth);
	$rating1 = round(@number_format($current_rating/$count,1));
	$rating2 = round(@number_format($current_rating/$count,2));
	if ($static == 'static') {
		$static_rater = array();
		$static_rater[] .= '<center>';
		$static_rater[] .= '<div class="ratingblock">';
		$static_rater[] .= '<div id="unit_long'.$id.'">';
		$static_rater[] .= '<ul id="unit_ul_'.$id.'" class="unit-rating" style="width:'.$rating_unitwidth*$units.'px;">';
		$static_rater[] .= '<li class="current-rating" style="width:'.$rating_width.'px;">'.$locale["r103"].' '.$rating2.'/'.$units.'</li>';
		$static_rater[] .= '</ul>';
		$static_rater[] .= '<p class="static">'.$locale["r109"].'<strong> '.$rating1.'</strong>/'.$units.' ('.$count.' '.$tense.' cast)</p>';
		$static_rater[] .= '</div>';
		$static_rater[] .= '</center>';
		$return = join("", $static_rater);
		echo $return;
	} else {
	  $rater ='';
    $rater.='<form method="post"><div class="tbl-border"><div class="tbl1">';
	  $rater.='<div class="ratingblock" align="center">';
	  $rater.='<div id="unit_long'.$id.'">';
    $rater.='<ul id="unit_ul'.$id.'" class="unit-rating" style="width:'.$rating_unitwidth*$units.'px;">';
    $rater.='<li class="current-rating" style="width:'.$rating_width.'px;">'.$locale["r103"].' '.$rating2.'/'.$units.'</li>';
    for ($ncount = 1; $ncount <= $units; $ncount++) { // loop from 1 to the number of units
       if(!$voted && iMEMBER) { // if the user hasn't yet voted, draw the voting stars
            $rater.='<li><a href="'.DLI_ROOT.'includes/ajaxstarrater/db.php?j='.$ncount.'&amp;type='.$rating_type.'&amp;item_id='.$rating_item_id.'" title="'.$ncount.' out of '.$units.'" class="r'.$ncount.'-unit rater" rel="nofollow">'.$ncount.'</a></li>';
       }
    }
    $ncount=0; // resets the count
    $rater.='</ul>';
    $rater.='<p>'.$locale['r107'].' <strong> '.$rating1.'</strong>/'.$units.' ('.$count.' '.$tense.')'.'</p>';
    $rater.='</div>';
	}
  if(!$voted && iMEMBER) $rater.='<hr class="side-hr" /><div class="small2" style="padding: 10px;">'.$locale['r110'].'</div>';
	if(!iMEMBER){
		$rater.= "<hr class='side-hr' /><div class='small2' style='padding: 10px;'>".$locale['r104']."</div>\n";
	}
  if($voted && iMEMBER) {
    $rater.= "<hr class='side-hr' /><div class='small2' style='padding: 10px;'>".$locale['r111']."</div>\n";
    if (isset($_POST['remove_rating'])) {
  		$result = dbquery("DELETE FROM ".DB_RATINGS." WHERE rating_item_id='$rating_item_id' AND rating_type='$rating_type' AND rating_user='".$userdata['user_id']."'");
  		redirect($rating_link);
  	}
    $rater.="<div align='right'><input type='submit' name='remove_rating' value='".$locale['r112']."' class='button' /></div>";
  }
	$rater.='</div></div></div>';
	$rater.='</div></form>';
	echo $rater;
	closetable();
}
?>